gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-taler-mdb] branch master updated: helper script for svg to png co


From: gnunet
Subject: [taler-taler-mdb] branch master updated: helper script for svg to png conversion
Date: Sat, 13 Jan 2024 22:23:57 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository taler-mdb.

The following commit(s) were added to refs/heads/master by this push:
     new 70dacc2  helper script for svg to png conversion
70dacc2 is described below

commit 70dacc2f526ec280b19150bbd04ae6630ce11f64
Author: Christian Grothoff <grothoff@gnunet.org>
AuthorDate: Sat Jan 13 22:23:52 2024 +0100

    helper script for svg to png conversion
---
 contrib/convert.sh        | 10 ++++++++++
 contrib/taler-mdb-show.sh |  5 +++--
 2 files changed, 13 insertions(+), 2 deletions(-)

diff --git a/contrib/convert.sh b/contrib/convert.sh
new file mode 100755
index 0000000..2e3c910
--- /dev/null
+++ b/contrib/convert.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+# This file is in the public domain.
+# Convert local SVGs to the PNGs for display.
+set -eu
+mkdir -p png
+for svg in svg/*; 
+do 
+  png=$(sed 's/svg/png/g' <<< "$svg");
+  inkscape -w 768 -h 576 "$svg" -o "$png" &> /dev/null
+done
diff --git a/contrib/taler-mdb-show.sh b/contrib/taler-mdb-show.sh
index a050002..7073b9f 100644
--- a/contrib/taler-mdb-show.sh
+++ b/contrib/taler-mdb-show.sh
@@ -4,7 +4,7 @@ set -eu
 
 function cleanup()
 {
-    taler-mdb-display-off -c "$CONF" -i
+    taler-mdb-display -c "$CONF" -i
     exit 0
 }
 
@@ -28,8 +28,9 @@ while getopts ':c:h' OPTION; do
             ;;
     esac
 done
+shift $((OPTIND - 1))
 
-taler-mdb-display-on -c "$CONF"
+taler-mdb-display -c "$CONF"
 
 FBDEV=$(taler-config -c "$CONF" -s taler-mdb -o FRAMEBUFFER_DEVICE)
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]